Summary:	A CRT screen handling and optimization package.
Name:		ncurses
Group:		System Environment/Libraries
License:	distributable
Version:	5.4
Release:	4
Source0:	http://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:	ncurses-linux
Source2:	ncurses-linux-m
Source3:	ncurses-resetall.sh
Source4:	patch-5.4-20041211.sh
Patch00:	ncurses-5.4-20041218.patch
Patch01:	ncurses-5.4-20041225.patch
Patch02:	ncurses-5.4-20050101.patch
Patch03:	ncurses-5.4-20050108.patch
Patch04:	ncurses-5.4-20050115.patch
Patch05:	ncurses-5.4-20050122.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The curses library routines are a terminal-independent method of
updating character screens with reasonable optimization.  The ncurses
(new curses) library is a freely distributable replacement for the
discontinued 4.4BSD classic curses library.

%files
  %defattr(0444,root,root,0555)
  %doc README ANNOUNCE
  %doc %{_mandir}/man1/*
  %doc %{_mandir}/man5/*
  %doc %{_mandir}/man7/*

  %attr(0511,root,root)		%{_bindir}/*
  %attr(0555,root,root)		%{_libdir}/lib*.so.*

  %{_datadir}/tabset
  %{_datadir}/terminfo
%ifarch %{ix86}
  %{_libdir}/terminfo
%endif

%package devel
Summary:	The development files for applications which use ncurses.
Group:		Development/Libraries
Requires:	ncurses = %{version}

%description devel
The header files and libraries for developing applications that use
the ncurses CRT screen handling and optimization package.

%files devel
  %defattr(0444,root,root,0555)
  %doc c++ test
  %doc %{_mandir}/man3/*

  %attr(0444,root,root)		%{_includedir}/*.h
  %attr(0444,root,root)		%{_includedir}/ncurses/*.h
  %attr(0444,root,root)		%{_libdir}/lib*.a
  %attr(0555,root,root)		%{_libdir}/lib*.so

%prep
%setup -q

  /bin/bash %{SOURCE4}

%patch00 -p1
%patch01 -p1
%patch02 -p1
%patch03 -p1
%patch04 -p1
%patch05 -p1

%build
  export CFLAGS="$RPM_OPT_FLAGS -DPURE_TERMINFO -DSVR4_CURSES"
%define optflags $CFLAGS

  %configure --with-shared --with-cxx --without-ada --with-ospeed=unsigned \
	--enable-sigwinch --enable-hard-tabs --enable-xmc-glitch \
	--enable-colorfgbg --enable-safe-sprintf \
	--with-install-prefix=$RPM_BUILD_ROOT \
	--includedir=$RPM_BUILD_ROOT/%{_includedir}/ncurses

  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_datadir}
  install -d $RPM_BUILD_ROOT/%{_includedir}/ncurses
  install -d $RPM_BUILD_ROOT/%{_libdir}

  make install includedir=${_includedir}/ncurses

  ln -s ../l/linux $RPM_BUILD_ROOT/usr/share/terminfo/c/console
  ln -s ncurses/curses.h $RPM_BUILD_ROOT/usr/include/ncurses.h

  for i in curses ncurses_dll unctrl eti form menu panel term; do
    ln -sf ncurses/$i.h $RPM_BUILD_ROOT/usr/include/$i.h
  done

  strip -R .comments $RPM_BUILD_ROOT/usr/bin/* || :
  strip -R .comments --strip-unneeded $RPM_BUILD_ROOT/usr/lib/*.so.%{version}
  make clean -C test

  # XXX -- Broken package, fix -- XXX
  pushd $RPM_BUILD_ROOT
    rm -rf usr/include/ncurses
    mv ncurses usr/include
  popd

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 11 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.4, Release 4
  - Happy birthday Christi!
  - Only include the /usr/lib/terminfo symlink if we're building for ix86.

* Fri Jul 15 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.4, Release 3
  - Make a ncurses_dll symlink in /usr/include.
  - Set tigher default permissions in %files.

* Fri Jul 15 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.4, Release 2
  - Bring in patches from Fedora Core 4 and enable C++.
  - This should correctly build/install the includes.

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 5.4, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
